package cz.utb.tadis.charts.repository;

import cz.utb.tadis.charts.model.ChartUser;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface ChartsUsersRepository extends JpaRepository<ChartUser, Long> {
    List<ChartUser> findAllByUserId(Long userId);
    Optional<ChartUser> findByUserIdAndChartId(Long userId, Long chartId);
    void deleteByUserIdAndChartId(Long userId, Long chartId);
    void deleteByChartId(Long chartId);
}
